package org.jboss.security;

package .tmp;

class SecurityActions {
  static String getProperty(String name, String defaultValue) {
    String prop;
    SecurityManager sm = System.getSecurityManager();
    if (sm != null) {
      prop = SystemPropertyAction.PRIVILEGED.getProperty(name, defaultValue);
    } else {
      prop = SystemPropertyAction.NON_PRIVILEGED.getProperty(name, defaultValue);
    } 
    return prop;
  }
}
